Resource

Team Compliance Setting

Compliance settings for your team

The Team Compliance Setting Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    team
    Type
    Team
    Description

    Team this compliance setting belongs to.

  • Name
    teamId
    Type
    Object IDRequired
    Description

    ID of Team this compliance setting belongs to.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    ruleType
    Type
    Long TextRequired
    Description

    Type of compliance rule.

  • Name
    enabled
    Type
    Boolean
    Description

    Whether this compliance rule is enabled.

  • Name
    options
    Type
    JSON
    Description

    Additional options for this compliance rule.

GETorPOST/api/team-compliance-setting/get-list

List

This endpoint allows you to retrieve a paginated list of all your Team Compliance Setting. By default, a maximum of ten Team Compliance Setting are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/team-compliance-setting/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "ruleType": true,
    "teamId": true,
    "_id": true,
    "createdAt": true
  },
  "query": {
    "ruleType": "Example rule type"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377e62f0-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "ruleType": "Example rule type",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377e62f1-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "ruleType": "Example rule type",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    },
    {
      "_id": "377e62f2-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "ruleType": "Example rule type",
      "teamId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z"
    }
  ]
}
GETorPOST/api/team-compliance-setting/:id/get-item

Get item by ID

This endpoint allows you to retrieve Team Compliance Setting by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/team-compliance-setting/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "ruleType": true,
    "teamId": true,
    "_id": true,
    "createdAt": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "ruleType": "Example rule type",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
POST/api/team-compliance-setting/count

Count

This endpoint allows you to retrieve the count of all your Team Compliance Setting.

Optional Request Body

Count Request

POST
/api/team-compliance-setting/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "ruleType": "Example rule type"
  }
}

Response

{
  "count": 107
}
POST/api/team-compliance-setting

Create Team Compliance Setting

This endpoint allows you to create a new object.

Create Request

POST
/api/team-compliance-setting
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "ruleType": "Example rule type",
    "teamId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "ruleType": "Example rule type",
  "teamId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
PUT/api/team-compliance-setting/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/team-compliance-setting/:id/update-item
GET/api/team-compliance-setting/:id/update-item

Update Request

PUT
/api/team-compliance-setting/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "ruleType": "Example rule type",
    "enabled": true,
    "options": {
      "key": "value"
    }
  }
}

Response

{}
DELETE/api/team-compliance-setting/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/team-compliance-setting/:id/delete-item
GET/api/team-compliance-setting/:id/delete-item

Delete Request

DELETE
/api/team-compliance-setting/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Team Compliance Setting

  • Project Owner
  • Project Admin
  • Project Member
  • Read Teams
  • Read All Project Resources

Create Permissions

Required to create Team Compliance Setting

  • Project Owner
  • Project Admin
  • Edit Team

Update Permissions

Required to update Team Compliance Setting

  • Project Owner
  • Project Admin
  • Edit Team

Delete Permissions

Required to delete Team Compliance Setting

  • Project Owner
  • Project Admin
  • Edit Team